blog/urls.py
from django.urls import path

from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.blog, name='blog'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('resume/', views.resume, name='resume'),
    path('result/', views.result, name='result'),
    path('add/', views.add, name='add'),
    path('detail/', views.detail, name='detail'),
    path('update/', views.updated_detail, name='updated_detail'),
    path('delete/', views.delete, name='delete'),
]

ppw_story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('blog/', include('blog.urls')),
    
]

blog/models.py
from django.db import models

# Create your models here.

main/models.py
from django.db import models

# Create your models here.
class Model(models.Model): 
  
    # fields of the model 
    nama_Matkul = models.CharField(max_length=60)
    dosen_Pengajar = models.CharField(max_length=60)
    jumlah_SKS = models.CharField(max_length=5)
    semester_Tahun = models.CharField(max_length=60)
    description = models.TextField()
   
    def __str__(self): 
        return self.nama_Matkul
    
     

ppw_story4/models.py
from django.db import models 
    
class Model(models.Model): 
  
    # fields of the model 
    title = models.CharField(max_length = 200) 
    description = models.TextField() 
  
    # renames the instances of the model 
    # with their title name 
    def __str__(self): 
        return self.title 

main/forms.py
from django import forms 
from .models import Model 
  
  
# creating a form 
class Form(forms.ModelForm): 
  
    # create meta class 
    class Meta: 
        # specify model to be used 
        model = Model 
  
        # specify fields to be used 
        fields = [ 
            "nama_Matkul", 
            "dosen_Pengajar", 
            "jumlah_SKS",
            "semester_Tahun",
            "description",
        ] 

        

ppw_story4/forms.py
from django import forms 
from .models import Model 
  
  
# creating a form 
class Form(forms.ModelForm): 
  
    # create meta class 
    class Meta: 
        # specify model to be used 
        model = Model 
  
        # specify fields to be used 
        fields = [ 
            "title", 
            "description", 
        ] 

blog/views.py
from django.shortcuts import render


def blog(request):
    return render(request, 'main/homeblog.html')

main/views.py
from django.shortcuts import render
from .forms import Form
from .models import Model
from django.shortcuts import (get_object_or_404, render, HttpResponseRedirect)

def home(request):
    return render(request, 'main/home.html')

def about(request):
    return render(request, 'main/about.html')
    
def resume(request):
    return render(request, 'main/resume.html')

def add(request): 
    context ={} 
   
    form = Form(request.POST or None) 
    if form.is_valid(): 
        form.save() 
          
    context['form']= form 
    return render(request, "main/add.html", context)

def result(request):  
    context ={} 
  
    context["dataset"] = Model.objects.all() 
          
    return render(request, "main/result.html", context) 

def detail(request, id):  
    context ={} 

    context["data"] = Model.objects.get(id = id) 
           
    return render(request, "main/detail.html", context) 
   
def updated_detail(request, id): 
    context ={} 
   
    obj = get_object_or_404(Model, id = id) 
  
    form = Form(request.POST or None, instance = obj) 
  
    # save the data from the form and 
    # redirect to detail
    if form.is_valid(): 
        form.save() 
        return HttpResponseRedirect("/"+id) 

    context["form"] = form 
  
    return render(request, "updated_detail.html", context)

def delete(request, id):  
    context ={} 
  
    obj = get_object_or_404(Model, id = id) 
  
  
    if request.method =="POST":  
        obj.delete() 
        # after deleting redirect to  
        # home page 
        return HttpResponseRedirect("/") 
  
    return render(request, "delete.html", context) 

main/templates/main/about.html
{% extends 'base.html' %}
  {% load static %}

  {% block meta %}
    <title>DAS Pandjaitan - About</title>
  {% endblock meta %}

  {% block content %}
    <!--aboutpage-->
    <div id="aboutpage">
      <h2 style="text-align:center;font-size:5vw;color:white">A little bit about me...</h2><br>
        <p style="font-size: 2vw;">
            <img src="{% static 'img/profil.jpg' %}" style="max-width:100%;height:auto;">
            Name : Dwi Ayu Sekarini Pandjaitan<br>
            <br>
            Birth date : October 24th, 2000<br>
            <br>
            Address : Anjasmoro III Number 25, Mojokerto<br>
            <br>
            Email : dwipandjaitan24@gmail.com<br>
        </p>
    </div>
  {% endblock content %}

main/templates/main/add.html
 {% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>DAS Pandjaitan - Add Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<form method="POST" enctype="multipart/form-data"> 
    <div class="parent-div d-flex align-items-center justify-content-center">
        <div class="child-div" style="padding: 100px;">
            <!-- Security token -->
            {% csrf_token %} 
        
            <!-- Using the formset -->
            {{ form.as_p }} 
            
            <input type="submit" value="Submit">
        </div>
    </div> 
</form>
{% endblock content %}

main/templates/main/delete.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>DAS Pandjaitan - Updated Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<form method="POST" enctype="multipart/form-data"> 
    <div class="parent-div d-flex align-items-center justify-content-center">
        <div class="child-div" style="padding: 100px;"> 
                <!-- Create a Form -->
                <form method="POST"> 
                    <!-- Security token by Django -->
                    {% csrf_token %} 
                    Are you want to delete this item ? 
                    <input type="submit" value="Yes" /> 
                    <input type="submet" value="Cancel"><a href="/"> </a> 
                </form>             
        </div>
    </div> 
</form>
{% endblock content %}

main/templates/main/detail.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>DAS Pandjaitan - Updated Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<form method="POST" enctype="multipart/form-data"> 
    <div class="parent-div d-flex align-items-center justify-content-center">
        <div class="child-div" style="padding: 100px;">
            <!-- Display attributes of instance -->
            {{ data.nama_Matkul }} <br/> 
            {{ data.dosen_Pengajar }} <br/>
            {{ data.jumlah_SKS }} <br/>             
            {{ data.semester_Tahun }} <br/>
            {{ data.description }} <br/>
        </div>
    </div> 
</form>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
  {% load static %}

  {% block meta %}
    <title>DAS Pandjaitan - Home</title>
  {% endblock meta %}

  {% block content %}
    <!--homepage-->
    <div id="homepage">
      <div class="child-div">
        <br><br><br><br>
        <p style="text-align:center;font-size:2vw;">Hello I am...</p>
        <h1 style="text-align:center;font-size:7vw;color:black">Dwi Ayu Sekarini Pandjaitan</h1>
        <p style="font-size: 4vw;text-align: center;">Generation Z | Information System Student<br>
        </p><br>
      </div>
    </div>
{% endblock content %}

main/templates/main/result.html
 
{% extends 'base.html' %}
  {% load static %}

  {% block meta %}
    <title>DAS Pandjaitan - Mata Kuliah</title>
  {% endblock meta %}

  {% block content %}
    <div class="parent-div d-flex align-items-center justify-content-center">
        <div class="child-div" style="padding: 100px;">
            {% for data in dataset %}. 
        
            {{ data.nama_Matkul }} <br/> 
            {{ data.dosen_Pengajar }} <br/>
            {{ data.jumlah_SKS }} <br/>             
            {{ data.semester_Tahun }} <br/>
            {{ data.description }} <br/>
            <hr/> 
        
            {% endfor %} 
        </div>
    </div> 
  {% endblock content %}

main/templates/main/resume.html
{% extends 'base.html' %}
  {% load static %}

  {% block meta %}
    <title>DAS Pandjaitan - Home</title>
  {% endblock meta %}

  {% block content %}
    <!--resumepage-->
    <div id="resumepage">
      <h2 style="text-align:center;font-size:5vw;color:white">Where and What I have been...</h2><br>
        <div class="vl"></div>
        <p style="font-size: 2vw; text-align:left;">
            Highschool : SMAN 1 Sooko<br>
            Achievements:<br>
            Leader of English Tribe's GREAT Event Committee (2018)<br>
            Staff of R&D in English Tribe Organization (2017-2018)<br>
            3rd Champion of Newscast Competition in National <br>English Festival (2017)<br>
            Champion of Storytelling Competition in STIKOM (2017)<br>
            Staff of Event Division in STARFEST Committee (2017)<br>
        </p>
        <p style="font-size: 2vw; text-align:right;">
            University : University of Indonesia<br>
            Achievements:<br>
            Member of Dancesport UI (2019-present)<br>
            Coordinator of Talent Development and <br>Show Division in Dancesport UI (2019-present)<br>
        </p>
        <br>
        <br>
    </div>
  {% endblock content %}

main/templates/main/updated_detail.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>DAS Pandjaitan - Updated Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<form method="POST" enctype="multipart/form-data"> 
    <div class="parent-div d-flex align-items-center justify-content-center">
        <div class="child-div" style="padding: 100px;">

                <!-- Create a Form -->
                <form method="POST"> 
                    <!-- Security token by Django -->
                    {% csrf_token %} 
              
                    <!-- form as paragraph -->
                    {{ form.as_p }} 
              
                    <input type="submit" value="Update"> 
                </form> 
            
        </div>
    </div> 
</form>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <div class = "header">
    <!--home-->
    <div style="float: left;">
      <a href="{% url 'main:home' %}" >DASP</a>
    </div>

    <!--add matkul-->
    <div style="float: right;">
      <a href="{% url 'main:add' %}" >Add Matkul</a>
    </div>

    <!--matkul-->
    <div style="float: right;">
      <a href="{% url 'main:result' %}" >Matkul</a>
    </div>

    <!--update matkul-->
    <div style="float: right;">
      <a href="{% url 'main:updated_detail' %}" >Update Matkul</a>
    </div>

    <!--delete matkul-->
    <div style="float: right;">
      <a href="{% url 'main:delete' %}" >Delete Matkul</a>
    </div>

    <!--resume-->
    <div style="float: right;">
      <a href="{% url 'main:resume' %}" >Resume</a>
    </div>

    <!--about-->
    <div style="float: right;">
      <a href="{% url 'main:about' %}" >About</a>
    </div>  
  </div>

  <div class = "footer">
    <!--linkedin-->
    <div style = "float: right;">
      <a href= https://www.linkedin.com/in/dwi-ayu-sekarini-pandjaitan-4a85231b9/>
        <img src="{% static 'img/download.png' %}" class="ikon">
      </a>
    </div>

    <!--instagram-->
    <div style = "float: right;">
      <a href= https://www.instagram.com/dwi_as_rini/?hl=en>
        <img src="{% static 'img/instaa.png' %}" class="ikon">
      </a>
    </div>
  </div>
  {% block content %}
  {% endblock content %}
</body>

</html>